#include "stdafx.h"
#include "GeneralSimulatorSubject.h"

void GeneralSimulatorSubject::attachStatisticsObserver(AbstractStatisticsObserver *_observer)
{
	observer = _observer;
}

void GeneralSimulatorSubject::detachStatisticsObserver(AbstractStatisticsObserver *observer)
{
	// TODO: Implement Method
	throw "Not Implemented Exception";
}

void GeneralSimulatorSubject::notifyStep()
{
	observer->updateStep();
}

void GeneralSimulatorSubject::notifySimulation()
{
	observer->updateSimulation();
}

void GeneralSimulatorSubject::notifyMultipleSimulations()
{
	observer->updateMultipleSimulations();
}
